package com.ruoyi.llm.mapper;

import com.ruoyi.llm.domain.CmcChat;

import java.util.List;

/**
 * cmc聊天记录Mapper接口
 * 
 * @author cmc
 * @date 2025-04-08
 */
public interface CmcChatMapper 
{
    /**
     * 查询cmc聊天记录
     * 
     * @param chatId cmc聊天记录主键
     * @return cmc聊天记录
     */
    public CmcChat selectCmcChatByChatId(String chatId);

    /**
     * 查询cmc聊天记录列表
     * 
     * @param cmcChat cmc聊天记录
     * @return cmc聊天记录集合
     */
    public List<CmcChat> selectCmcChatList(CmcChat cmcChat);

    /**
     * 新增cmc聊天记录
     * 
     * @param cmcChat cmc聊天记录
     * @return 结果
     */
    public int insertCmcChat(CmcChat cmcChat);

    /**
     * 修改cmc聊天记录
     * 
     * @param cmcChat cmc聊天记录
     * @return 结果
     */
    public int updateCmcChat(CmcChat cmcChat);

    /**
     * 删除cmc聊天记录
     * 
     * @param chatId cmc聊天记录主键
     * @return 结果
     */
    public int deleteCmcChatByChatId(String chatId);

    /**
     * 批量删除cmc聊天记录
     * 
     * @param chatIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmcChatByChatIds(String[] chatIds);
}
